Uncover itDocumentation
APIManual

Static analysis report

GET
/private/sample/{hash}

Fetch a static analysis report from a file's SHA-256, SHA-512 or BLAKE3 hash

All requests decrement the amount of remaining requests by one

Authorization

Authorization
Authorization<token>

In: header

Path Parameters

hash*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/private/sample/string"
{  "date": "2019-08-24T14:15:22Z",  "tags": [    {      "heat": 1,      "name": "string"    }  ],  "ssDeep": "string",  "configs": {    "FAMILYNAME": {}  },  "mD5Hash": "string",  "fileName": "string",  "sha1Hash": "string",  "blake3Hash": "string",  "sha256Hash": "string",  "sha512Hash": "string",  "sizeInBytes": 0,  "staticAnalysisDuration": "string"}
{  "error": "string"}
Empty
{  "error": "string"}